Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultReimbursementContextType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultReimbursementContextType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultReimbursementContextType

extends Object
implements Serializable

Java class for ConsultReimbursementContextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultReimbursementContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Multiple" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Temporary" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Reference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="FlatRateSystem" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReimbursementBasePrice" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="ReferenceBasePrice" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="CopaymentSupplement" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="PricingUnit" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultPricingUnitType"/>
             <element name="PricingSlice" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultPricingUnitType" minOccurs="0"/>
             <element name="ReimbursementCriterion" type="{urn:be:fgov:ehealth:dics:protocol:v5}ReimbursementCriterionType"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Copayment" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultCopaymentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="DeliveryEnvironment" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CodeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="LegalReferencePath" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultReimbursementContextType()`

Method Summary
`List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
`String` | `getCode()` Gets the value of the code property.
`String` | `getCodeType()` Gets the value of the codeType property.
`List<ConsultCopaymentType>` | `getCopayments()` Gets the value of the copayments property.
`BigDecimal` | `getCopaymentSupplement()` Gets the value of the copaymentSupplement property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getLegalReferencePath()` Gets the value of the legalReferencePath property.
`String` | `getMultiple()` Gets the value of the multiple property.
`ConsultPricingUnitType` | `getPricingSlice()` Gets the value of the pricingSlice property.
`ConsultPricingUnitType` | `getPricingUnit()` Gets the value of the pricingUnit property.
`BigDecimal` | `getReferenceBasePrice()` Gets the value of the referenceBasePrice property.
`BigDecimal` | `getReimbursementBasePrice()` Gets the value of the reimbursementBasePrice property.
`ReimbursementCriterionType` | `getReimbursementCriterion()` Gets the value of the reimbursementCriterion property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`boolean` | `isFlatRateSystem()` Gets the value of the flatRateSystem property.
`boolean` | `isReference()` Gets the value of the reference property.
`boolean` | `isTemporary()` Gets the value of the temporary property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setCodeType(String value)` Sets the value of the codeType property.
`void` | `setCopaymentSupplement(BigDecimal value)` Sets the value of the copaymentSupplement property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFlatRateSystem(boolean value)` Sets the value of the flatRateSystem property.
`void` | `setLegalReferencePath(String value)` Sets the value of the legalReferencePath property.
`void` | `setMultiple(String value)` Sets the value of the multiple property.
`void` | `setPricingSlice(ConsultPricingUnitType value)` Sets the value of the pricingSlice property.
`void` | `setPricingUnit(ConsultPricingUnitType value)` Sets the value of the pricingUnit property.
`void` | `setReference(boolean value)` Sets the value of the reference property.
`void` | `setReferenceBasePrice(BigDecimal value)` Sets the value of the referenceBasePrice property.
`void` | `setReimbursementBasePrice(BigDecimal value)` Sets the value of the reimbursementBasePrice property.
`void` | `setReimbursementCriterion(ReimbursementCriterionType value)` Sets the value of the reimbursementCriterion property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTemporary(boolean value)` Sets the value of the temporary property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultReimbursementContextType

    public ConsultReimbursementContextType()

Method Detail

### getMultiple

    public String getMultiple()

  Gets the value of the multiple property.

  Returns:
    possible object is `String`

### setMultiple

    public void setMultiple(String value)

  Sets the value of the multiple property.

  Parameters:
    `value` - allowed object is `String`

### isTemporary

    public boolean isTemporary()

  Gets the value of the temporary property.

### setTemporary

    public void setTemporary(boolean value)

  Sets the value of the temporary property.

### isReference

    public boolean isReference()

  Gets the value of the reference property.

### setReference

    public void setReference(boolean value)

  Sets the value of the reference property.

### isFlatRateSystem

    public boolean isFlatRateSystem()

  Gets the value of the flatRateSystem property.

### setFlatRateSystem

    public void setFlatRateSystem(boolean value)

  Sets the value of the flatRateSystem property.

### getReimbursementBasePrice

    public BigDecimal getReimbursementBasePrice()

  Gets the value of the reimbursementBasePrice property.

  Returns:
    possible object is `BigDecimal`

### setReimbursementBasePrice

    public void setReimbursementBasePrice(BigDecimal value)

  Sets the value of the reimbursementBasePrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getReferenceBasePrice

    public BigDecimal getReferenceBasePrice()

  Gets the value of the referenceBasePrice property.

  Returns:
    possible object is `BigDecimal`

### setReferenceBasePrice

    public void setReferenceBasePrice(BigDecimal value)

  Sets the value of the referenceBasePrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getCopaymentSupplement

    public BigDecimal getCopaymentSupplement()

  Gets the value of the copaymentSupplement property.

  Returns:
    possible object is `BigDecimal`

### setCopaymentSupplement

    public void setCopaymentSupplement(BigDecimal value)

  Sets the value of the copaymentSupplement property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getPricingUnit

    public ConsultPricingUnitType getPricingUnit()

  Gets the value of the pricingUnit property.

  Returns:
    possible object is `ConsultPricingUnitType`

### setPricingUnit

    public void setPricingUnit(ConsultPricingUnitType value)

  Sets the value of the pricingUnit property.

  Parameters:
    `value` - allowed object is `ConsultPricingUnitType`

### getPricingSlice

    public ConsultPricingUnitType getPricingSlice()

  Gets the value of the pricingSlice property.

  Returns:
    possible object is `ConsultPricingUnitType`

### setPricingSlice

    public void setPricingSlice(ConsultPricingUnitType value)

  Sets the value of the pricingSlice property.

  Parameters:
    `value` - allowed object is `ConsultPricingUnitType`

### getReimbursementCriterion

    public ReimbursementCriterionType getReimbursementCriterion()

  Gets the value of the reimbursementCriterion property.

  Returns:
    possible object is `ReimbursementCriterionType`

### setReimbursementCriterion

    public void setReimbursementCriterion(ReimbursementCriterionType value)

  Sets the value of the reimbursementCriterion property.

  Parameters:
    `value` - allowed object is `ReimbursementCriterionType`

### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()

  Gets the value of the additionalFields property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

  For example, to add a new item, do as follows:

          getAdditionalFields().add(newItem);

  Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

### getCopayments

    public List<ConsultCopaymentType> getCopayments()

  Gets the value of the copayments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copayments property.

  For example, to add a new item, do as follows:

          getCopayments().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultCopaymentType`

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getCodeType

    public String getCodeType()

  Gets the value of the codeType property.

  Returns:
    possible object is `String`

### setCodeType

    public void setCodeType(String value)

  Sets the value of the codeType property.

  Parameters:
    `value` - allowed object is `String`

### getLegalReferencePath

    public String getLegalReferencePath()

  Gets the value of the legalReferencePath property.

  Returns:
    possible object is `String`

### setLegalReferencePath

    public void setLegalReferencePath(String value)

  Sets the value of the legalReferencePath property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.